Download it now!
Bug 98094 - NAVIGATOR: Unable to drag header in 'Content View', if first was tried to drag a header with all Categories visible.
Summary: NAVIGATOR: Unable to drag header in 'Content View', if first was tried to dra...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.8.2 release
Hardware: All All
: medium normal
Assignee: Jim Raykowski
URL:
Whiteboard: target:6.2.0 target:6.1.0.1
Keywords: regression
Depends on:
Blocks: Navigator
  Show dependency treegraph
 
Reported: 2016-02-22 22:51 UTC by Yousuf Philips (jay) (retired)
Modified: 2018-06-06 11:41 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2016-02-22 22:51:02 UTC
Steps:
1) Open https://drive.google.com/file/d/0B6qJrVIa0SAld2JFLUx3NTZxMGc/view?usp=sharing
2) Open Navigator
3) Attempt to drag heading 'Part 2: Planning' to a new location, but it wont allow
4) Click the 'Content View' button
5) Attempt step 3 again and it wont allow
6) Close the doc and repeat steps 1, 2, 4, and 5 and it will allow the dragging of the heading

Regression as this works in 4.1.6.

Version: 5.2.0.0.alpha0+
Build ID: 943af6cd6f07c2e0ccd067f661d8dc664eea1e4b
CPU Threads: 2; OS Version: Linux 4.2; UI Render: default; 
TinderBox: Linux-rpm_deb-x86@71-TDF, Branch:master, Time: 2016-02-21_01:49:02
Locale: en-US (en_US.UTF-8)
Comment 1 Cor Nouws 2016-02-23 08:13:26 UTC
If I turn on Content View immediately, I can drag the headers.
I do experience some delay or 'not working', sometimes, with d&d however.
Comment 2 Yousuf Philips (jay) (retired) 2016-02-23 11:52:39 UTC
@Cor: So are you confirming it, because you didnt change the status?

One thing i was curious about is whether drag & drop is supposed to work outside of Content View. Also it is weird but i believe i can reproduce this in 3.3 and 4.0, though i tested it yesterday and it worked fine, so this could possibly an inherited from OOo.
Comment 3 Cor Nouws 2016-02-23 14:26:53 UTC
(In reply to Yousuf (Jay) Philips from comment #2)
> @Cor: So are you confirming it, because you didnt change the status?

Hi Jay. Smart question ;\
Additional test resulted in the changed summary.
I tested in 5.0.5.2, but not in older versions, such as 4.1.6.
So not sure if it is a regression.
Comment 4 Cor Nouws 2016-02-23 14:28:30 UTC
(In reply to Yousuf (Jay) Philips from comment #2)

> One thing i was curious about is whether drag & drop is supposed to work
> outside of Content View.

Not that I know/remember. Possibly the Help does give info?

> Also it is weird but i believe i can reproduce this
> in 3.3 and 4.0, though i tested it yesterday and it worked fine, so this
> could possibly an inherited from OOo.

Ah ;) Check the sequence of your test steps.
Comment 5 Yousuf Philips (jay) (retired) 2016-02-23 23:05:58 UTC
(In reply to Cor Nouws from comment #4)
> Not that I know/remember. Possibly the Help does give info?

The help seems to say that its limited to Content View, but no reasoning why it so.

"To quickly reorder headings and their associated text in your document, select the "Headings" category in the list, and then click the Content View icon. Now you can use drag-and-drop to reorder contents."

https://help.libreoffice.org/Writer/Navigator#Content_View
Comment 6 QA Administrators 2017-03-06 15:04:14 UTC Comment hidden (obsolete)
Comment 7 Xisco Faulí 2017-03-06 15:31:47 UTC
@Jay, are you sure this is a regression? I can reproduce it in

LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 8 Yousuf Philips (jay) (retired) 2017-04-24 00:09:28 UTC
(In reply to Xisco Faulí from comment #7)
> @Jay, are you sure this is a regression? I can reproduce it in

You must be doing it wrong as I cant.
Comment 9 QA Administrators 2018-04-25 02:32:56 UTC Comment hidden (obsolete)
Comment 10 Xisco Faulí 2018-04-26 13:21:27 UTC
I've tried to bisect it but the results wasn't consistent...

@Jim, I thought you might be interested in this one...
Comment 11 Jim Raykowski 2018-05-04 01:04:50 UTC
(In reply to Xisco Faulí from comment #10)
> I've tried to bisect it but the results wasn't consistent...
> 
> @Jim, I thought you might be interested in this one...

NOT reproduced on windows

Version: 6.1.0.0.alpha1+ (x64)
Build ID: e9ac3a9c1ee7689c4d591a68250666c95632bd2a
CPU threads: 4; OS: Windows 10.0; UI render: default; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-04-26_23:11:11
Locale: en-US (en_US); Calc: group

reproduced on linux

Version: 6.1.0.0.alpha1+
Build ID: f5a56c367fba1c42b4f9719b10ff3e86ad5e2ab1
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk2; 
Locale: en-US (en_US.UTF-8); Calc: group

Can anyone confirm the NOT reproduced on windows?
Comment 12 Jim Raykowski 2018-05-04 05:32:11 UTC
Here is a patch:

https://gerrit.libreoffice.org/#/c/53832/
Comment 13 Marc Freedman 2018-05-16 06:04:01 UTC
(In reply to Jim Raykowski from comment #11)
> (In reply to Xisco Faulí from comment #10)
> > I've tried to bisect it but the results wasn't consistent...
> > 
> > @Jim, I thought you might be interested in this one...
> 
> NOT reproduced on windows
> 
> Version: 6.1.0.0.alpha1+ (x64)
> Build ID: e9ac3a9c1ee7689c4d591a68250666c95632bd2a
> CPU threads: 4; OS: Windows 10.0; UI render: default; 
> TinderBox: Win-x86_64@42, Branch:master, Time: 2018-04-26_23:11:11
> Locale: en-US (en_US); Calc: group
> 
> reproduced on linux
> 
> Version: 6.1.0.0.alpha1+
> Build ID: f5a56c367fba1c42b4f9719b10ff3e86ad5e2ab1
> CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk2; 
> Locale: en-US (en_US.UTF-8); Calc: group
> 
> Can anyone confirm the NOT reproduced on windows?


I confirm that I can reproduce this error on Windows slightly older version.
Version: 6.0.2.1 (x64)
Build ID: f7f06a8f319e4b62f9bc5095aa112a65d2f3ac89
CPU threads: 4; OS: Windows 10.0; UI render: default; 
Locale: en-US (en_US); Calc: group

Thank you for the workaround to open in Content View where drag and drop works as it should.
Comment 14 Commit Notification 2018-06-05 07:24:25 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0cde287d450700f05a547ce5a334ca137e7ff531

tdf#98094 make header able to drag in Navigator root content view after

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 Commit Notification 2018-06-05 09:07:39 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=64a33050bf427927fa0b81e1e10cc487065c7d2f&h=libreoffice-6-1

tdf#98094 make header able to drag in Navigator root content view after

It will be available in 6.1.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.